Subject: [Megaco] Re: draft-ietf-megaco-r2package-03.txt : Difference from previous revision

From: Aleksandr Ryabin <[email-masked]>
Date: Mon, 03 Mar 2003 12:13:20 -0500

Hi,

These are pretty big changes. I know the previous version was a draft,
but its been out there for a while now, so there are implementations
which use it. That seem to be a good reason to bump the version
of the package for new revision of draft.

Questions:

1. Now that block/unblock signals/events have been removed I'd think
bcas package should be handling these supervisory signal procedures,
but I can't seem to find any reference to these procedures in bcas.
Can you clarify on how block/unblock are to be implemented now?

2. I can't seem to find a way to send/receive to/from MGC (currently spare) R2
Group B backward digits from B-11 to B-15?
One way would be to have them in possible values of cplc and their 
descriptions
specified as "spare B-xx". Another way would be to add "Spare Called Party
Line Condition Value" parameter to cprs event and signal with int value equal
of the B signal received/to send.

3. I can't seem to find a way to implement "Metering Pulse" procedure defined
for some R2 variants using ether bcas or R2 packages? For example, one
of the definitions of such a pulse is a "seizure ack" pulse from a terminating
end on a circuit in connected/answer state.

Thanks
         Aleks

At 07:21 AM 3/3/2003, [email-masked] wrote:

>Changes between version 03 over version 02 of R2 package
>
>1. Changed the wording of Abstract section.
>
>2. Changed the wording of Introduction section to reflect that R2 package is
>derived package of bcas package. Also, it touches upon the new signal and 
>event
>"r2addr" which is added in this derived r2 package.
>
>3. Rephrased assumption b) in Assumptions section (section 5).
>
>4. Corrected sequence numbering of 4th assumption to d) in Assumptions section
>(section 5)
>
>5. Section 6.1: R2 package definition modified so as to extend bcas package.
>Changed the wording in description so as to clarify that R2 package extends
>bcas. Version 02 advocated it being used in conjunction with bcas package.
>
>6. Section 6.2
>  - Removed property "clear back signal validation time"
>  - Changed Property Id from "callen" to "snl" for Property Name "Source 
> Number
>Length"
>  - Removed the wordings mentioning the procedure to collect source number.
>  - Removed property "source number time-out"
>  - Removed property "subscriber line status flag"
>  - Removed property "trunk direction"
>  - Added property "Compelling Sequence Keepalive Timer"
>
>7. Section 6.3
>  - Removed event "Unblock"
>  - ObservedEventDescriptor of r2addr event
>   + Changed description for possible values of dimeth parameter
>   + Removed procedure for collecting source number in si parameter 
> description
>   + Added parameter "Source Number Termination Method"
>   + Changed description of sc parameter to align the language used throughout
>   + Changed description of es parameter to align the language used throughout
>   + Changed description of cc parameter to align the language used throughout
>   + Removed procedure for collecting country code in cc parameter description
>   + Changed description of disc parameter to align the language used 
> throughout
>   + Changed description of nac parameter to align the language used 
> throughout
>  - Renamed "Subscriber Line Status" to "Called Party Reachability Status" to
>clarify the meaning for the event
>  - Changed the wording in R2 Failure event description. Also, changed the
>possible value for this event
>  - Changed description for possible values of dimeth parameter under
>ObservedEventDescriptor of di event.
>  - Changed description si parameter under ObservedEventDescriptor of si 
> event.
>  - Added Source Number Termination method parameter under
>ObservedEventDescriptor of si event
>  - Added Congestion Event
>
>8. Section 6.4
>  - Removed Block signal
>  - Removed Unblock signal
>  - Renamed signal "Subscriber Line Status" to "Called Party Reachability
>Status". Also, modified the description for this signal
>
>9. Section 6.5
>  - Removed Call Duration statistics defined by this package.
>
>10. Section 7
>  - Removed description of property parameters defined in section 7.1 of 
> version
>02
>  - Removed procedures for exchanging supervisory signals
>  - Removed procedures for exchanging call set-up control information
>  - Removed call flows for incoming MG
>  - Removed call flows for outgoing MG
>  - Added procedure for Termination of Called Party Number digit collection at
>incoming MG
>  - Added procedure for Termination of Calling Party Number collection at
>incoming MG
>  - Added procedure for Termination of Country Code digit collection at 
> incoming
>MG
>  - Added procedure for Termination of Compelling Sequence
>
>11. Section 8
>  - Modified reference number [4] for newer version of bcas draft referred
>
>12. Section 9
>  - Modified Author's Address to reflect new contact phone numbers
>
>13. The usage of keywords "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL 
>NOT",
>"SHOULD", "SHOULD NOT", "RECOMMENDED",  "MAY", and "OPTIONAL" are 
>corrected all
>across the draft.
>
>Thanks
>- Vikram Nair
>www.hssworld.com
>
>DISCLAIMER: This message is proprietary to Hughes Software Systems
>Limited (HSS) and is intended solely for the use of the individual
>to whom it is addressed. It may contain  privileged or confidential
>information  and should not be circulated or used for any purpose other
>than for what it is intended. If you have received this message in error,
>please notify the originator immediately. If you are not the intended
>recipient, you are notified that you are strictly prohibited from using,
>copying, altering, or disclosing the contents of this message. HSS accepts
>no responsibility for loss or damage arising from the use of the information
>transmitted by this email including damage from virus.

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Aleksandr Ryabin <[email-masked]>
Date: Mon, 03 Mar 2003 12:13:20 -0500

Hi,

Questions:

Thanks
         Aleks

---

From: [email-masked]
Date: Mon, 3 Mar 2003 17:51:41 +0530

2. Changed the wording of Introduction section to reflect that R2 package is
derived package of bcas package. Also, it touches upon the new signal and event
"r2addr" which is added in this derived r2 package.

6. Section 6.2
 - Changed Property Id from "callen" to "snl" for Property Name "Source Number

7. Section 6.3
  + Removed procedure for collecting source number in si parameter description
  + Changed description of disc parameter to align the language used throughout
  + Changed description of nac parameter to align the language used throughout
 - Changed description si parameter under ObservedEventDescriptor of si event.

8. Section 6.4
 - Removed Block signal
 - Removed Unblock signal

9. Section 6.5

10. Section 7
 - Removed description of property parameters defined in section 7.1 of version
02
 - Removed procedures for exchanging supervisory signals
 - Removed procedures for exchanging call set-up control information
 - Removed call flows for incoming MG
 - Removed call flows for outgoing MG
 - Added procedure for Termination of Called Party Number digit collection at
incoming MG
 - Added procedure for Termination of Calling Party Number collection at
incoming MG
 - Added procedure for Termination of Country Code digit collection at incoming
MG
 - Added procedure for Termination of Compelling Sequence

11. Section 8

12. Section 9

13. The usage of keywords "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
"SHOULD", "SHOULD NOT", "RECOMMENDED",  "MAY", and "OPTIONAL" are corrected all
across the draft.

Thanks
- Vikram Nair
www.hssworld.com

---

From: Christian Groves <[email-masked]>
Date: Tue, 04 Mar 2003 13:35:41 +1100

I would prefer that the revision of the packages is not changed. A stepping of
revision still means the changes are backwards compatible however from a quick
glance it appears that the proposed changes are not backwards compatible. If
people have a concern about implementing according to a draft (they should
expect changes if they do this) then I would rename the packages. I note also
that the packages should be registered with IANA and that where a package
extends another package it should make reference to the version.

Christian

---

From: Christian Groves <[email-masked]>
Date: Tue, 04 Mar 2003 13:35:41 +1100

Christian